#### 3.17.3 Starting `imap4d` ¶

`imap4d` may run either in standalone or in inetd operation modes. When run in “standalone” mode, the server disconnects from the terminal and runs as a daemon, forking a child for each new connection.

The “inetd” mode allows to start the server from `/etc/inetd.conf` file. This is the default operation mode.

    imap4  stream tcp nowait  root  /usr/local/sbin/imap4d imap4d

#### Command Line Options ¶

`-d[number]`
`--daemon[=number]`

  Run in standalone mode. An optional number specifies the maximum number of child processes the daemon is allowed to fork. When it is omitted, it defaults to 20 processes. Please note, that there should be no whitespace between the `-d` and its parameter.

`-i`
`--inetd`

  Run in inetd mode.

`--foreground`

  Run in foreground.

`--preauth`

  Start in preauth mode

`--test`

  Run in test mode.

See also Options That are Common for All Utilities..